#
# spec file for package ibcs2 (Version 970513)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libaout lx_suse

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         ibcs2
Release:      26
Copyright:    1993-95 Eric Youngdale, Joe Portman, Mike Jagdis, Al Longyear
Group: 
Provides:     libcs svr4slib 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      970513
Summary:      The iBCS2 emulator
Source: ibcs-2.0.970513.tar.gz
Source1: libnsl-960201.tar.gz
Source2: protlib-960201.tar.gz
Source3: sco-libs-940731.tar.gz
Source4: svr4-shlib-961222.tar.gz
Patch: ibcs-2.0.970513.dif
%description
The iBCS2 emulator allows you to run binaries of other UNIX system such as
SCO-Unix[tm] under Linux.
The emulator is a loadable module that can be loaded into the kernel using
the command 'insmod iBCS'. If you have activated the kernel daemon, the
ibcs2 emulator module will be loaded automatically on demand.
CAUTION: This package contains the libc.so.1 for SYSV 4.x systems! If you
install this package you may encounter strange things! If you compile a
program and specify the linker option "-L/usr/lib", the linker tries to
link THIS library which of course doesn't work. In such a case, either
specify the option "-L/lib -L/usr/lib" or do not specify any path. Then
the program will be successfully linked.

%prep
%setup -n ibcs -b 1 -b 2 -b 3 -b 4
%patch
%build
    make -f Makefile.Linux compile
%install
    make -f Makefile.Linux install
    mkdir /shlib
    cp -a ../libnsl/libnsl_s /shlib/libnsl_s.emu
    cp -a ../libnsl/libnsl_s.debug /shlib/libnsl_s.debug
    ln -s libnsl_s.emu /shlib/libnsl_s
    cp -a ../lib_s.map /shlib
    cp -a ../libc_s /shlib
    cp -a ../protlib/protlib_s /shlib/protlib_s.emu
    cp -a ../protlib/protlib_s.debug /shlib/protlib_s.debug
    ln -s protlib_s.emu /shlib/protlib_s
    cp -a ../usr /
Check
%files
%dir /shlib
%dir /usr/doc/packages/ibcs2
%dir /usr/doc/packages/ibcs2/Doc
%dir /usr/doc/packages/ibcs2/PROD.Patches
%dir /usr/i486-sysv4
%dir /usr/i486-sysv4/lib
/dev/MAKEDEV.ibcs
/shlib/lib_s.map
/shlib/libc_s
/shlib/libnsl_s
/shlib/libnsl_s.debug
/shlib/libnsl_s.emu
/shlib/protlib_s
/shlib/protlib_s.debug
/shlib/protlib_s.emu
%doc /usr/doc/packages/ibcs2/CREDITS
%doc /usr/doc/packages/ibcs2/ChangeLog
%doc /usr/doc/packages/ibcs2/Doc/COMPAT
%doc /usr/doc/packages/ibcs2/Doc/Error.map
%doc /usr/doc/packages/ibcs2/Doc/HINTS
%doc /usr/doc/packages/ibcs2/Doc/Local-X
%doc /usr/doc/packages/ibcs2/Doc/Notes.Signal
%doc /usr/doc/packages/ibcs2/Doc/Personality
%doc /usr/doc/packages/ibcs2/Doc/Syscall.map
%doc /usr/doc/packages/ibcs2/Doc/iBCS.9
%doc /usr/doc/packages/ibcs2/PROD.Patches/README
%doc /usr/doc/packages/ibcs2/PROD.Patches/SCO.map
%doc /usr/doc/packages/ibcs2/PROD.Patches/SVR4.map
%doc /usr/doc/packages/ibcs2/PROD.Patches/WP
%doc /usr/doc/packages/ibcs2/PROD.Patches/termcap
%doc /usr/doc/packages/ibcs2/PROD.Patches/terminfo
%doc /usr/doc/packages/ibcs2/README
%doc /usr/doc/packages/ibcs2/RELEASE
/usr/i486-sysv4/lib/ld.so.1
/usr/i486-sysv4/lib/libc.so.1
/usr/i486-sysv4/lib/libdl.so.1
/usr/i486-sysv4/lib/libelf.so.1
/usr/i486-sysv4/lib/libnsl.so
/usr/i486-sysv4/lib/libsocket.so
/usr/lib/ld.so.1
/usr/lib/libc.so.1
/usr/lib/x286emul

